# Class ObjectCollectedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
com.sun.jdi.ObjectCollectedException

All Implemented Interfaces:
  `Serializable`

public class ObjectCollectedException extends RuntimeException
Thrown to indicate that the requested operation cannot be completed because the specified object has been garbage collected.

Since:
  1.3
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectCollectedException()`
  `ObjectCollectedException(String s)`

- ## Method Summary

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ObjectCollectedException

    public ObjectCollectedException()

  - ### ObjectCollectedException

    public ObjectCollectedException(String s)